summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2011-01-12 01:13:57 +0100
committerMichael Buesch <mb@bu3sch.de>2011-01-12 01:13:57 +0100
commit84d6bee0d7beebd141da04762e82c5e1e127c91c (patch)
tree74613c2b43056dba66dcc5431c21b3a1619ae524 /tests
parentdfae6b58a5aaeb8ea2021c7d101e69d792945921 (diff)
downloadtoprammer-84d6bee0d7beebd141da04762e82c5e1e127c91c.tar.xz
toprammer-84d6bee0d7beebd141da04762e82c5e1e127c91c.zip
selftest: Fix paths
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run-tests.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index bca5592..184698b 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -53,14 +53,15 @@ function toprammer
local logfile="$tmpdir/toprammer.log"
echo " toprammer $args"
+ cd "$basedir/.." || die "Failed to chdir"
if [ $verbose -eq 0 ]; then
- $basedir/../toprammer $args >$logfile 2>&1
+ ./toprammer $args >$logfile 2>&1
if [ $? -ne 0 ]; then
[ -r "$logfile" ] && cat "$logfile"
die "toprammer $args <<<FAILED>>>"
fi
else
- $basedir/../toprammer $args -V2
+ ./toprammer $args -V2
[ $? -eq 0 ] || die "toprammer $args <<<FAILED>>>"
fi
}
@@ -70,7 +71,8 @@ function toprammer_layout_silent
local args="$@"
local logfile="$tmpdir/toprammer-layout.log"
echo " toprammer-layout $args"
- $basedir/../toprammer-layout $args >$logfile 2>&1
+ cd "$basedir/.." || die "Failed to chdir"
+ ./toprammer-layout $args >$logfile 2>&1
if [ $? -ne 0 ]; then
[ -r "$logfile" ] && cat "$logfile"
die "toprammer-layout $args <<<FAILED>>>"
@@ -80,7 +82,8 @@ function toprammer_layout_silent
function toprammer_layout
{
local args="$@"
- $basedir/../toprammer-layout $args
+ cd "$basedir/.." || die "Failed to chdir"
+ ./toprammer-layout $args
[ $? -eq 0 ] || die "toprammer-layout $args <<<FAILED>>>"
}
bues.ch cgit interface